# Maximum number of iterations of the genetic algorithm
max-generations		= 50

# The population will be fixed at this size for the entire run
population-size		= 100

# Where to report current state of population, etc.
log-file		= /home/bmajoros/TAIL/GP/log.txt

# How much of each new population is to be produced via crossover
crossover		= 0.0

# How much of each new population is to be produced via mutation
point-mutation		= 0.25
subtree-mutation	= 0.25

immigration		= 0.2
cloning			= 0.3

percent-training-set	= 0.99
tournament-selection	= 0
tournament-size		= 0

# Minimum value for randomly-generated constants
min-const		= -2

# Maximum value for randomly-generated constants
max-const		= 2

# Maximum height of trees in initial population (minimum is 2)
initial-tree-height	= 4

# Maximum height of trees through entire run
max-tree-height		= 4

# Seed for randomizer, or 0 for none
seed			= 0

# Maximum number of calls to ADF -- prevents infinite recursion
max-adf-call		= 10

# Comma-separated list of #'s of parameters each ADF (Automatically-
# Defined Function) takes
adf-arities		= 0

# Comma-separated list of #'s of parameters each entry-point takes
entry-point-arities	= 0

# Which entry-point actually produces the computed result 
result-producing-branch = 0

# Operators to be used for internal nodes of parse trees
#nonterminals		= +,-,*,/,sin,cos,log,abs
nonterminals		= +,-,*

# Terminal nodes to be used at the leaves of parse trees
terminals		= const,var

